Add deprecation notices for gdb and kgdb.

Authored by jhb on Jul 4 2017, 4:06 PM.



Even though gdb and kgdb may not be removed for 12.0 on some architectures,
the notice is unconditional as these tools will likely be removed at some
point in the future.

Will merge this into 10.4 and 11.1.

Diff Detail

rS FreeBSD src repository
Automatic diff as part of commit; lint not applicable.
Automatic diff as part of commit; unit tests not applicable.
jhb created this revision.Jul 4 2017, 4:06 PM
emaste accepted this revision.Jul 4 2017, 4:27 PM
  • bump .Dd?
  • the deprecation notice is perhaps not true across all architectures?
This revision is now accepted and ready to land.Jul 4 2017, 4:27 PM
jhb added a comment.Jul 5 2017, 3:08 PM

I always defer the Dd bump until I actually commit.

While gdb might not be removed for some platforms on 12.0 (notably arm and sparc64), it will be eventually, so the notice will still be accurate in that sense. It is also difficulty to make the text per-arch.

emaste added a comment.Jul 5 2017, 3:14 PM

Mainly I'm concerned about users on those architectures (particularly arm) seeing the notice and trying and failing to install a usable gdb from ports.

This revision was automatically updated to reflect the committed changes.
jhb added a comment.Jul 5 2017, 5:06 PM

I might sit down and redo arm from scratch and fix it for reals anyway.

jhb added a comment.Jul 5 2017, 5:06 PM

(ports gdb for arm that is)

wblock added a subscriber: wblock.Jul 7 2017, 3:20 PM
wblock added inline comments.

This should be

of the
base system.
jhb added inline comments.Jul 7 2017, 7:43 PM

GDB's manpage is not in mdoc so I expanded this on purpose assuming I couldn't use mdoc macros.

wblock added inline comments.Jul 7 2017, 9:07 PM

Ah. My eyes glossed over the line noise markup. Never mind.